import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;

public class Login {
    WebDriver driver;
    WebElement linkSignIn;
    WebElement inputUsername;
    WebElement inputPassword;
    WebElement buttonSubmit;

    public Login(WebDriver driver){
        this.driver = driver;
    }

    public WebElement getLinkSignIn(){
        return driver.findElement(By.xpath("//a[text()='Login']")); //figure out string
    }

    public WebElement getInputUsername(){
        return driver.findElement(By.xpath("//input[@name='username']")); //figure out string
    }

    public WebElement getInputPassword(){
        return driver.findElement(By.name("password")); //figure out string
    }

    public WebElement getButtonSubmit(){
        return driver.findElement(By.name("Submit")); //figure out string
    }

    public void navigateHome(String url){
        driver.get(url);
    }

    public void login(String username, String password){
        getInputUsername().sendKeys(username);
        getInputPassword().sendKeys(password);
        getButtonSubmit().click();
    }
}
